<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#160;">
	<!ENTITY copy "&#169;">
	<!ENTITY reg "&#174;">
	<!ENTITY trade "&#8482;">
	<!ENTITY mdash "&#8212;">
	<!ENTITY ldquo "&#8220;">
	<!ENTITY rdquo "&#8221;">
	<!ENTITY pound "&#163;">
	<!ENTITY yen "&#165;">
	<!ENTITY euro "&#8364;">
]>
<!-- Addenda de FEMSA HEINEKEN CM : By Daniel Herrera Tello -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="Documento">
			<xsl:element name="FacturaFemsa">
				<xsl:element name="noVersAdd">
					<xsl:text>01</xsl:text>
				</xsl:element>
				<xsl:element name="claseDoc">
					<xsl:choose>
						<xsl:when test="Datos/Documento/@TipoDocumento = 1">
							<xsl:choose>
								<xsl:when test="Datos/Documento/@Dato2 != '' and Datos/Documento/@Dato3 != ''">
									<xsl:text>2</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text/>1</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="Datos/Documento/@TipoDocumento = 2">
							<xsl:text>9</xsl:text>
						</xsl:when>
						<xsl:when test="Datos/Documento/@TipoDocumento = 3">
							<xsl:text>8</xsl:text>
						</xsl:when>
						<xsl:when test="Datos/Documento/@TipoDocumento = 4">
							<xsl:text>3</xsl:text>
						</xsl:when>
						<xsl:when test="Datos/Documento/@TipoDocumento = 5">
							<xsl:text>3</xsl:text>
						</xsl:when>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="noSociedad">
					<xsl:value-of select="Datos/Receptor/@Referencia"/>
				</xsl:element>
				<xsl:element name="noProveedor">
					<xsl:value-of select="Datos/Emisor/@noProveedor"/>
				</xsl:element>
				<xsl:element name="noPedido">
					<xsl:value-of select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
				</xsl:element>
				<xsl:element name="moneda">
					<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
					<xsl:choose>
						<xsl:when test="$tpomon = 0">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 1">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 2">
							<xsl:text>USD</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 3">
							<xsl:text>EUR</xsl:text>
						</xsl:when>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="noEntrada">
					<!--xsl:if test="Datos/Documento/@TipoDocumento = 1"-->
						<xsl:value-of select="Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio"/>
					<!--/xsl:if-->
				</xsl:element>
				<xsl:element name="noRemision">
					<xsl:if test="Datos/Documento/@TipoDocumento = 1">
						<xsl:variable name="no_Rem" select="substring-after(substring-after(Datos/Documento/@Referencia,'/'),'/')"/>
						<xsl:choose>
							<xsl:when test="substring($no_Rem,1,5) = '00000'">
								<xsl:value-of select="substring-after($no_Rem,'00000')"/>
							</xsl:when>
							<xsl:when test="substring($no_Rem,1,4) = '0000'">
								<xsl:value-of select="substring-after($no_Rem,'0000')"/>
							</xsl:when>
							<xsl:when test="substring($no_Rem,1,3) = '000'">
								<xsl:value-of select="substring-after($no_Rem,'000')"/>
							</xsl:when>
							<xsl:when test="substring($no_Rem,1,2) = '00'">
								<xsl:value-of select="substring-after($no_Rem,'00')"/>
							</xsl:when>
							<xsl:when test="substring($no_Rem,1,1) = '0'">
								<xsl:value-of select="substring-after($no_Rem,'0')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$no_Rem"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</xsl:element>
				<xsl:element name="noSocio"/>
				<xsl:choose>
					<xsl:when test="Datos/Documento/@Dato2 != '' and Datos/Documento/@Dato3 != ''">
						<xsl:element name="centro">
							<xsl:value-of select="Datos/Documento/@Dato1"/>
						</xsl:element>
						<xsl:element name="iniPerLiq">
							<xsl:value-of select="Datos/Documento/@Dato2"/>
						</xsl:element>
						<xsl:element name="finPerLiq">
							<xsl:value-of select="Datos/Documento/@Dato3"/>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="centroCostos"/>
						<xsl:element name="iniPerLiq"/>
						<xsl:element name="finPerLiq"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:element name="retencion1"/>
				<xsl:element name="retencion2"/>
				<xsl:element name="email">
					<xsl:value-of select="Datos/Emisor/@Email"/>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
